UpdateDlg Class Reference

UpdateDlg class is the UI Dialog class for the Update tab page. More...

`#include <UpdateDlg.h>`

Inheritance diagram for UpdateDlg:
[legend]
Collaboration diagram for UpdateDlg:
[legend]

## Public Member Functions

virtual BOOL | OnInitDialog ()
| Generated message map functions.
afx_msg void | OnShowWindow (BOOL bShow, UINT nStatus)
afx_msg void | OnSelchangeComboFile ()
afx_msg void | OnKillfocusComboFile ()
afx_msg void | OnBnClickedButtonBrowse ()
afx_msg void | OnBnClickedRadioErase ()
afx_msg void | OnBnClickedRadioUnlock ()
afx_msg void | OnChangeEdit ()
afx_msg void | OnBnClickedButtonUpdate ()
afx_msg LRESULT | OnUpdateProgress (WPARAM wParam, LPARAM lParam)
void | RefreshImageFileList ()
| Refresh the image file list.

## Public Attributes

CComboBox | m_ctrlImageFile
| A control variable for the Combox, IDC_COMBO_FILE.
CString | m_address
| A control variable for the Edit Control, IDC_EDIT_ADDRESS.
CString | m_backdoorKey
| A control variable for the Edit Control, IDC_EDIT_KEY.
BOOL | m_doErasetoUnlock
BOOL | m_useKeytoUnlock
| flash-erase-all-unsecure command when updating. More...
CProgressCtrl | m_progressCtrl
| command when updating.

## Protected Member Functions

virtual void | DoDataExchange (CDataExchange *pDX)
| Generated message map functions.
| DECLARE_MESSAGE_MAP () virtual void OnOK()
virtual void | OnCancel ()

## Detailed Description

UpdateDlg class is the UI Dialog class for the Update tab page.

## Member Data Documentation

BOOL UpdateDlg::m_doErasetoUnlock

A variable for whether do

BOOL UpdateDlg::m_useKeytoUnlock

flash-erase-all-unsecure command when updating.

A variable for whether do flash-security-disable

The documentation for this class was generated from the following files:

- UpdateDlg.h
- UpdateDlg.cpp